\section{INTRODUCTION}

\subsection{Scope}

This document forms the "Space-to-Ground Interface Control Document" of the project \projectname. \newline

It defines the project specific adaption of the "Telemetry and Telecommand Packet Utilization Standard (PUS)" [STD-1]. PUS includes services with specific \textit{Telecommand} and \textit{Telemetry} messages for the communication between satellite and ground station. The purpose of this document is to tailor the given Standard to fulfil the operational requirements. This tailoring includes the selection out of the provided standardised services and the definition of mission-specific services to provide further functionality. The selection is based on the mission needs which are characterised by the objective of the mission, the used orbit and the on-board devices.The objective of the  \projectname mission is detecting wildfires from LEO with the help of an infrared imager (IRI) based on micro-bolometer technology. The orbit and the possibility to carry on-board devices are limited because of CubeSat design of  \projectname. A CubeSat is a small and light satellite formed like cubes which was invented to provide space access to universities and smaller companies, too. \\

Based on all restrictions each used message of the project "`\projectname"' is defined in this document including a description and a defined structure. The structure includes all fields, their data types and the possible values respectively the value ranges a parameter can adopt.


\subsection{ECSS PUS Compliance}
During the generation of this tailored PUS the Standard [STD-1] has been adhered as close as useful, but in some cases divergences were defined. \autoref{tab:divergences} shows these cases including a justification for the divergences.
% Justification zu allgemein
\begin{longtable}[H]{|p{0.2\textwidth}|p{0.35\textwidth}|p{0.35\textwidth}|}
	\toprule
	\textbf{Service} & \textbf{Divergence} & \textbf{Justification}\\
	\midrule
	Service 3 & Removed the possibility to create report structures with parameter sets.&The complexity of HK/Diagnos-tic reports with parameters and parameter sets is not needed for a small CubeSat project like \textit{SeeSat}. \\
	\midrule
	Service 3 & Added 'Param ID' field to TM(3,25) and TM(3,26) source data. & A parameter in a received report now consists of an ID and a value. Through this change TM(3,25) and TM(3,26) shall be intuitively readable and organisable on-ground (easier data deconding).\\
	\midrule
	Service 8 & Changed parameter type of field 'Function ID' from TC(8,1) from 'Character String' to 'Enumerated'. & Alphanumerical identification of function not needed within a small CubeSat project. Only numerical identification leads to an easier decoding of the 'Function ID'.\\
	\midrule
	Service 11 & Removed optional fields for sub-schedules and scheduling groups. & Concepts not used within the project because of their high complexity.\\
	\midrule
	Service 22 & Removed optional fields for sub-schedules and scheduling groups. & Concepts not used within the project because of their high complexity.\\
	\bottomrule
	\caption{Divergences from the PUS Standard [STD-1]}
	\label{tab:divergences}
\end{longtable}


\subsection{Open Issues}
\autoref{tab:openissues} includes a list of all TBCs and TBDs in the project.


\begin{longtable}[H]{|p{0.25\textwidth}|p{0.65\textwidth}|}
	\toprule
	\textbf{Message including\newline TBC/TBD} & \textbf{Description}\\
	\midrule
	TM(1,X) & The definition of the \textit{Data} field within the \textit{Failure Notice} is still open. For all defined \textit{Error Codes} associated with the \textit{Data} see \autoref{sec:ErrorCodes}.\\
	\midrule
	TM(9,3) & A definition of the meaning and the structure of the \textit{"Spacecraft Time Reference Status"} is needed.\\
	\bottomrule
	\caption{Open Issues}
	\label{tab:openissues}
\end{longtable}
